package ru.dbotthepony.mc.otm.item

import net.minecraftforge.event.entity.player.PlayerInteractEvent
import net.minecraftforge.eventbus.api.Event

interface PriorityUseItem {
	fun isPriorityConsumer(event: PlayerInteractEvent.RightClickBlock): Boolean
}

internal fun onItemRightClick(event: PlayerInteractEvent.RightClickBlock) {
	val item = event.itemStack.item

	if (!event.itemStack.isEmpty && item is PriorityUseItem) {
		if (item.isPriorityConsumer(event)) {
			event.useBlock = Event.Result.DENY
		}
	}
}
